package ch.zhaw.gartenverwaltung.types;

import java.time.LocalDate;
import java.util.Optional;

public class Crop {
    private Long cropId = null;
    private final long plantId;
    private final LocalDate startDate;
    private int area = 1;

    public Crop(long plantId, LocalDate startDate) {
        this.plantId = plantId;
        this.startDate = startDate;
    }

    // Builder-Style setter
    public Crop withId(long cropId) {
        this.cropId = cropId;
        return this;
    }
    public Crop withArea(int area) {
        this.area = area;
        return this;
    }

    // Getters
    public Optional<Long> getCropId() {
        return Optional.ofNullable(cropId);
    }

    public long getPlantId() { return plantId; }
    public LocalDate getStartDate() { return startDate; }
    public int getArea() { return area; }
}
